Installion Fakturama 2 auf Debian

geschrieben von greg99 
Willkommen! Anmelden Ein neues Profil erzeugen Suche
Installion Fakturama 2 auf Debian
30. Januar 2019 22:00
Neuinstallation von Fakturama 2 auf Debian (sid)

FAKTURAMA 2.0.3 Installer den Linux 64bit – DEB-Installer heruntergeladen.

Anschließend installiert mit
sudo dpgk -i Fakturama_linux_x64_2.0.3.deb

Fakturama 2 aufgerufen mit
/usr/share/fakturama2/Fakturama

Eine Meldung in der Konsole:
WARNING: Extender - Refreshing disabled - entities in bundle com.sebulli.fakturama.model may not be woven

und ein Fehlerlog
~/.eclipse/1650947176_linux_gtk_x86_64/configuration/1548881315633.log


Anschließend die java- Version geändert mit dem Befehl:

sudo update-alternatives --config java

Es gibt 2 Auswahlmöglichkeiten für die Alternative java (welche /usr/bin/java bereitstellen).

Auswahl Pfad Priorität Status
------------------------------------------------------------
* 0 /usr/lib/jvm/java-11-openjdk-amd64/bin/java 1111 automatischer Modus
1 /usr/lib/jvm/java-11-openjdk-amd64/bin/java 1111 manueller Modus
2 /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/java 1081 manueller Modus


2 Ausgewählt.

Nach Umstellung auf java-8 funktioniert dann Fakturama 2.


Funktioniert Fakturama 2 nur mit bestimmten java -Versionen?
In der Doku habe ich nur gefunden, das die java-Version >= 8 sein muß.



mfg
Gregor
Re: Installion Fakturama 2 auf Debian
31. Januar 2019 06:21
Neues Problem bei mir.

Ein zweites Mal läßt sich Fakturama 2 nicht mehr starten.
Eine längere Fehlermeldung beim Starten und bricht dann sofort ab.

mit
ps aux | grep -i fakturama


greg 2099 0.0 0.1 63164 15436 ? S 06:07 0:00 /usr/share/fakturama2/Fakturama -data /home/greg/fakturama2/optfakthje

greg 2116 8.4 7.0 90865724 577704 ? Sl 06:07 0:41 /usr/bin/java -DREFRESH_BUNDLES=false -Dorg.eclipse.e4.ui.css.dynamic=true -jar /usr/share/fakturama2//plugins/org.eclipse.equinox.launcher_1.4.0.v20161219-1356.jar -os linux -ws gtk -arch x86_64 -showsplash -launcher /usr/share/fakturama2/Fakturama -name Fakturama --launcher.library /usr/share/fakturama2//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.551.v20171108-1834/eclipse_1630.so -startup /usr/share/fakturama2//plugins/org.eclipse.equinox.launcher_1.4.0.v20161219-1356.jar --launcher.overrideVmargs -exitdata 26000c -data /home/greg/fakturama2/optfakthje -vm /usr/bin/java -vmargs -DREFRESH_BUNDLES=false -Dorg.eclipse.e4.ui.css.dynamic=true -jar /usr/share/fakturama2//plugins/org.eclipse.equinox.launcher_1.4.0.v20161219-1356.jar


Es laufen zwei Prozesse. Nachdem ich den zweiten mit
kill 2116
gekillt habe, kann ich Fakturama 2 wieder starten. Die Fehlermeldung beim Starten sah ähnlich aus wie der zweite Prozess. Scheinbar hat sich Fakturama 2 beim Beenden nicht wirklich beendet.


mfg
Gregor
Re: Installion Fakturama 2 auf Debian
31. Januar 2019 15:29
Nach bisherigen Informationen von Ralf Heydenreich wird ein Doppelstart von FAKTURAMA-2 noch nicht abgefangen, so dass es bei einem irrtümlichen Doppelstart (1x läuft FAKTURAMA bereits im Hintergrund) zu einer Fehlermeldung kommt und FAKTURAMA-2 u.a. mit XKILL zwangsweise beendet werden muss - an einer Lösung wird gegenwärtig gearbeitet ...
Re: Installion Fakturama 2 auf Debian
31. Januar 2019 19:20
Danke für die Information. Das Problem bei mir ist nicht das Fakturama 2 doppelt gestart wird,
sondern das Fakturama 2 beim beenden sich nicht beendet.
Meine momentane Lösung ist, das Fakturama jetzt im Terminal aufgerufen wird, bzw. im Starter den Punkt "Im Terminal ausführen" angehakt und nach dem Beenden von Fakturama 2 dann wirklich mit CTRL-C abgebrochen wird.

Hier die Terminalmeldungen:

[Server@2b680207]: From command line, use [Ctrl]+[C] to abort abruptly
19:13:50.948 [com.sebulli.fakturama.log.LogbackAdapter@26844abb] DEBUG com.sebulli.fakturama.common - start DAOs - begin
19:13:51.492 [com.sebulli.fakturama.log.LogbackAdapter@26844abb] INFO  com.sebulli.fakturama.rcp - Entering default Preference Initializer
Jan 31, 2019 7:13:51 PM javax.money.spi.Bootstrap init
INFORMATION: Money Bootstrap: new ServiceProvider set: org.javamoney.osgi.OsgiServiceProvider
[EL Info]: 2019-01-31 19:13:51.822--ServerSession(96117088)--EclipseLink, version: Eclipse Persistence Services - 2.7.1.v20171221-bd47e8f
[EL Info]: connection: 2019-01-31 19:13:52.149--ServerSession(96117088)--/unconfigured2_nonJtaDataSource=896912853_url=jdbc:hsqldb:hsql://localhost:9002/fakdbneu_user=sa login successful
19:13:52.194 [com.sebulli.fakturama.log.LogbackAdapter@26844abb] DEBUG com.sebulli.fakturama.common - start DAOs - end
Error sending IPC message: Datenübergabe unterbrochen (broken pipe)
Error sending IPC message: Datenübergabe unterbrochen (broken pipe)
Error sending IPC message: Datenübergabe unterbrochen (broken pipe)
19:14:07.440 [com.sebulli.fakturama.log.LogbackAdapter@26844abb] DEBUG com.sebulli.fakturama.common - Storing preferences in database
[Server@2b680207]: Initiating shutdown sequence...
[Server@2b680207]: Shutdown sequence completed in 1 ms.
[Server@2b680207]: 2019-01-31 19:14:08.186 SHUTDOWN : System.exit() was not called
19:14:08.222 [com.sebulli.fakturama.log.LogbackAdapter@26844abb] DEBUG com.sebulli.fakturama.common - save dialog settings





mfg
Gregor



2-mal bearbeitet. Zuletzt am 31.01.19 20:26.
Re: Installion Fakturama 2 auf Debian
02. Februar 2019 07:46
Hab wohl zu spät gesehen, das das Problem mit dem "Nicht Beenden" von Fakturama 2 schon woanders im Forum ein Thema ist.

Neustart scheitert

Kann Fakturama nur einmal öffnen

Speichern seit v2 geht - aber nicht ganz

FAKTURAMA 2.x: Nach Installation mit Fehlermeldung kein Neustart möglich

zu java

Fakturama benötigt Java 8 oder neuer - falsch

daraus der Hinweis , Java 11 funktioniert nicht.

aus dem Handbuch zu Fakturama Seite 3
Bitte beachten Sie, dass Java 9 derzeit noch nicht unterstützt wird.

Also bleibt Java 8 über.
Unter Windows 7 konnte ich Fakturama 2 auch mit dem Java von Amazon (Amazon Corretto 8) starten.



4-mal bearbeitet. Zuletzt am 02.02.19 18:16.
In diesem Forum dürfen leider nur registrierte Teilnehmer schreiben.

Klicke hier, um Dich einzuloggen